# Class IntegerSummaryFactory

java.lang.Object
org.apache.datasketches.tuple.aninteger.IntegerSummaryFactory

All Implemented Interfaces:
  `SummaryFactory<IntegerSummary>`

public class IntegerSummaryFactory extends Object implements SummaryFactory<IntegerSummary>
Factory for IntegerSummary.

Author:
  Lee Rhodes

## Constructor Summary

Constructors
Constructor
Description
`IntegerSummaryFactory(IntegerSummary.Mode summaryMode)`
Creates an instance of IntegerSummaryFactory with a given mode

## Method Summary

Modifier and Type
Method
Description
`IntegerSummary`
`newSummary()`
Returns new instance of Summary

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IntegerSummaryFactory

public IntegerSummaryFactory(IntegerSummary.Mode summaryMode)
Creates an instance of IntegerSummaryFactory with a given mode

Parameters:
  `summaryMode` - summary mode

## Method Details

### newSummary

public IntegerSummary newSummary()
Description copied from interface: `SummaryFactory`
Returns new instance of Summary

Specified by:
  `newSummary` in interface `SummaryFactory<IntegerSummary>`
Returns:
  new instance of Summary